Package: groovy.util

## [Java] Class ObjectGraphBuilder.DefaultNewInstanceResolver

- groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

- All Implemented Interfaces and Traits:
    NewInstanceResolver

      public static class ObjectGraphBuilder.DefaultNewInstanceResolver
      extends Object
      implements NewInstanceResolver

  Default impl that calls Class.newInstance()

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `newInstance(Class klass, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public Object newInstance(Class klass, Map attributes)